/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.math;

import com.vividsolutions.jts.geom.Coordinate;

/**
 * Interface to encapsulate the query of the depth at a given point.
 * @author <a href="mailto:sascha.teichmann@intevation.de">Sascha L. Teichmann</a>
 */
public interface XYDepth
{
    /**
     * Returns the depth at a given coordinate. Negative
     * values are below the water surface.
     * @param coordinate The coordinate where to take the depth.
     * @return The depth at the queried coordinate. NaN is no
     * depth is available at the given point.
     */
    double depth(Coordinate coordinate);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
